# gdcm::FileSet Class Reference

File-set: A File-set is a collection of DICOM Files (and possibly non-DICOM Files) that share a common naming space within which File IDs are unique. More...

`#include <gdcmFileSet.h>`

Collaboration diagram for gdcm::FileSet:
[legend]

List of all members.

## Public Types
typedef std::vector< FileType > | FilesType
typedef std::string | FileType
## Public Member Functions
| FileSet ()
bool | AddFile (const char *filename)
void | AddFile (File const &)
FilesType const & | GetFiles () const
void | SetFiles (FilesType const &files)
## Friends
std::ostream & | operator<< (std::ostream &_os, const FileSet &d)

## Detailed Description

File-set: A File-set is a collection of DICOM Files (and possibly non-DICOM Files) that share a common naming space within which File IDs are unique.

## Member Typedef Documentation

typedef std::vector<FileType> gdcm::FileSet::FilesType

typedef std::string gdcm::FileSet::FileType

## Constructor & Destructor Documentation

gdcm::FileSet::FileSet | ( |  | ) | `[inline]`

## Member Function Documentation

bool gdcm::FileSet::AddFile | ( | const char * | filename | ) |

Add a file 'filename' to the list of files. Return true on success, false in case filename could not be found on system.

void gdcm::FileSet::AddFile | ( | File const & |  | ) | `[inline]`

Deprecated:
  . Does nothing

FilesType const& gdcm::FileSet::GetFiles | ( |  | ) | const`[inline]`

void gdcm::FileSet::SetFiles | ( | FilesType const & | files | ) |

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | _os,
|  | const FileSet & | d |
| ) |  |  | `[friend]`

The documentation for this class was generated from the following file:

- gdcmFileSet.h